Subject: Re: [RFC PATCH] sched: only dequeue if packet can be queued to hardware queue.

From: Jarek Poplawski <[email-masked]>
Date: Fri, 19 Sep 2008 18:37:38 +0200

On Fri, Sep 19, 2008 at 05:16:32PM +0200, Jarek Poplawski wrote:
...
> Alexander, I guess you've seen my last messages/patches in this thread
> and noticed that this __netif_schedule() problem is present both in
> this RFC patch and sch_multiq: if skb isn't dequeued because of inner
> tx_queue stopped state check, there is missing __netif_schedule()
> before exit from qdisc_run().

Hmm... probably false alarm. It seems there have to be same wake_queue
after all.

Sorry,
Jarek P.